build libjpeg-progs again

Bug #537370 reported by Martin Pitt
18
This bug affects 5 people
Affects Status Importance Assigned to Milestone
libjpeg6b (Ubuntu)
Fix Released
High
Martin Pitt
Lucid
Fix Released
High
Martin Pitt

Bug Description

We do not want to carry libjpeg7 for just libjpeg-progs, while libjpeg6b still has 555 rdepends.

Build libjpeg-progs from 6b again, and do -V7+really${pkgversion} versioning magic to get the upgrade right.

Related branches

Martin Pitt (pitti)
Changed in libjpeg6b (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → High
status: New → In Progress
Revision history for this message
Martin Pitt (pitti) wrote :

Fix waiting in unapproved queue now.

Changed in libjpeg6b (Ubuntu Lucid):
status: In Progress → Fix Released
status: Fix Released → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libjpeg6b - 6b-15ubuntu1

---------------
libjpeg6b (6b-15ubuntu1) lucid; urgency=low

  * Reintroduce libjpeg-progs, so that it is built against libjpeg6b. It's too
    late to migrate to libjpeg7 in lucid. (LP: #537370)
  * debian/rules: Force libjpeg-progs version to 7+really<source version>, so
    that it upgrades from the current 7-1 version. Once we upgrade to libjpeg8
    in the next Ubuntu release, this can just go away again.
 -- Martin Pitt <email address hidden> Fri, 12 Mar 2010 09:12:56 +0100

Changed in libjpeg6b (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers